using System;
using System.Data;
using System.Text;
using System.Data.SqlClient;
using HySoft.Common;
namespace HySoft.BaseCallCenter.BLL
{
    /// <summary>
    /// 数据访问类:T_Report
    /// </summary>
    public partial class T_Report
    {
        private readonly HySoft.BaseCallCenter.DAL.T_Report dal = new HySoft.BaseCallCenter.DAL.T_Report();
       
        public T_Report()
        { }
        #region  Method


        /// <summary>
        ///获取坐席话务报表
        /// </summary>
        public DataTable GetAgentCallRecordReport(string strWhere)
        {

            return dal.GetAgentCallRecordReport(strWhere) ;
        }

        /// <summary>
        ///获取坐席业务报表
        /// </summary>
        public DataTable GetAgentBusinessReport(string strWhere)
        {
           
            return dal.GetAgentBusinessReport(strWhere);
        }
         /// <summary>
        ///获取客户满意度
        /// </summary>
        public DataTable GetCustomerValuationReport(string strWhere)
        {
            return dal.GetCustomerValuationReport(strWhere);
        }
        /// <summary>
        ///获取来电方式业务报表
        /// </summary>
        public DataTable GetCallInTypeReport(string strWhere)
        {
            return dal.GetCallInTypeReport(strWhere);
        }
        //GetCallCountReport
        /// <summary>
        ///话务量统计
        /// </summary>
        public DataTable GetCallCountReport(string strWhere)
        {
            return dal.GetCallCountReport(strWhere);
        }
        /// <summary>
        ///话务量统计(表格形式)
        /// </summary>
        public DataTable GetCallCountReport1(string strWhere)
        {
            return dal.GetCallCountReport1(strWhere);
        }
        #endregion  Method
    }
}
